import time

from edge_psu_ctl.transport_pymodbus import PyTransport
from edge_psu_ctl import psu_control
from edge.pipeline_helpers import get_psuctl_endpoint
from edge import eventlog


_USB_PSU = psu_control.BASE_BOARD_V1_O


def _main():
    com_port = get_psuctl_endpoint()
    if not com_port:
        eventlog.log_d('fail: psu-ctl hardware not found')
        return

    transport = PyTransport(com_port)
    control = psu_control.PsuControl(transport, _USB_PSU)

    control.turn_power_off()
    try:
        time.sleep(1)
    finally:
        control.turn_power_on()


if __name__ == '__main__':
    eventlog.open_log('radar-cold-reboot', 'debug')
    # noinspection PyBroadException
    try:
        _main()
    except Exception:
        eventlog.log_x()
    finally:
        eventlog.close_log()
